<template>
    <el-config-provider :locale="zhCn">
        <router-view></router-view>
    </el-config-provider>
</template>

<script lang="ts" setup>
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'
import useSetTheme from '@/utils/setTheme'
import { provide, getCurrentInstance } from 'vue'
//线上mqtt
// 27服务器项目使用的MQTT:ws://pqmcn.com:8073/mqtt
// 102服务器项目使用的MQTT:wss://pqmcn.com:8087/mqtt
// let buildUrl = 'wss://pqmcn.com:8087/mqtt'//102
let buildUrl = 'ws://pqmcn.com:8073/mqtt'//27
//本地mqtt
let devUrl = 'ws://192.168.1.24:8085/mqtt'
provide('MQTTURL', devUrl)
useSetTheme()
</script>

<style lang="scss">
/* Your SCSS styles here */
</style>
